net.sf.jasperreports.engine.fill

## Class SimpleTextFormat

- java.lang.Object
- - net.sf.jasperreports.engine.fill.SimpleTextFormat

- All Implemented Interfaces:
    java.io.Serializable, TextFormat

      public class SimpleTextFormat
      extends java.lang.Object
      implements TextFormat, java.io.Serializable

  Version:
    $Id: SimpleTextFormat.java 6096 2013-04-22 08:25:59Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextFormat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getFormatFactoryClass()`
    `java.lang.String` | `getLocaleCode()`
    `java.lang.String` | `getPattern()`
    `java.lang.String` | `getTimeZoneId()`
    `java.lang.String` | `getValueClassName()`
    `int` | `hashCode()`
    `void` | `setFormatFactoryClass(java.lang.String formatFactoryClass)`
    `void` | `setLocaleCode(java.lang.String localeCode)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)`
    `void` | `setValueClassName(java.lang.String valueClassName)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextFormat

          public SimpleTextFormat()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Specified by:
        `getValueClassName` in interface `TextFormat`

    - #### setValueClassName

          public void setValueClassName(java.lang.String valueClassName)

    - #### getPattern

          public java.lang.String getPattern()

      Specified by:
        `getPattern` in interface `TextFormat`

    - #### setPattern

          public void setPattern(java.lang.String pattern)

    - #### getFormatFactoryClass

          public java.lang.String getFormatFactoryClass()

      Specified by:
        `getFormatFactoryClass` in interface `TextFormat`

    - #### setFormatFactoryClass

          public void setFormatFactoryClass(java.lang.String formatFactoryClass)

    - #### getLocaleCode

          public java.lang.String getLocaleCode()

      Specified by:
        `getLocaleCode` in interface `TextFormat`

    - #### setLocaleCode

          public void setLocaleCode(java.lang.String localeCode)

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

      Specified by:
        `getTimeZoneId` in interface `TextFormat`

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com